Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
Class Numbers

    java.lang.Object
      org.codehaus.groovy.syntax.Numbers

    class Numbers
    extends Object

Helper class for processing Groovy numeric literals.

author:
  Brian Larson

author:
  Chris Poirier

version:
  $Id: Numbers.java 11949 2008-04-22 09:19:18Z paulk $

Constructor Summary
`Numbers()`

Method Summary
`static boolean` | `isDigit(char c)` Returns true if the specified character is a base-10 digit.
`static boolean` | `isHexDigit(char c)` Returns true if the specified character is a base-16 digit.
`static boolean` | `isNumericTypeSpecifier(char c, boolean isDecimal)` Returns true if the specified character is a valid type specifier for a numeric value.
`static boolean` | `isOctalDigit(char c)` Returns true if the specific character is a base-8 digit.
`static Number` | `parseDecimal(String text)` Builds a Number from the given decimal descriptor.
`static Number` | `parseInteger(String text)` Builds a Number from the given integer descriptor.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Numbers

    Numbers()

Method Detail

### isDigit

    public static boolean isDigit(char c)

  Returns true if the specified character is a base-10 digit.

### isHexDigit

    public static boolean isHexDigit(char c)

  Returns true if the specified character is a base-16 digit.

### isNumericTypeSpecifier

    public static boolean isNumericTypeSpecifier(char c, boolean isDecimal)

  Returns true if the specified character is a valid type specifier for a numeric value.

### isOctalDigit

    public static boolean isOctalDigit(char c)

  Returns true if the specific character is a base-8 digit.

### parseDecimal

    public static Number parseDecimal(String text)

  Builds a Number from the given decimal descriptor. Uses BigDecimal, unless, Double or Float is requested.
  param:
    text literal text to parse
  return:
    instantiated Number object
  throws:
    NumberFormatException if the number does not fit within the type requested by the type specifier suffix (invalid numbers don't make it here)

### parseInteger

    public static Number parseInteger(String text)

  Builds a Number from the given integer descriptor. Creates the narrowest type possible, or a specific type, if specified.
  param:
    text literal text to parse
  return:
    instantiated Number object
  throws:
    NumberFormatException if the number does not fit within the type requested by the type specifier suffix (invalid numbers don't make it here)

Copyright © 2003-2009 The Codehaus. All rights reserved.